#!/usr/bin/env python

import os, sys, glob

command = None
locale = None
try:
    command = sys.argv[1]
    locale  =  sys.argv[2]	
except IndexError:
    pass


os.chdir('po')
os.system('intltool-update --pot --gettext-package=luciole --verbose ')

if command == 'compile':
    files = glob.glob('*.po')
    for f in files:
        l = os.path.splitext(f)
        os.system('mkdir -p -m 0777 %s/LC_MESSAGES' % l[0])

        print "Generating translation for %s locale" % l[0]
        os.system('msgmerge -o - %s luciole.pot | msgfmt -c -o %s/LC_MESSAGES/luciole.mo -' % (f, l[0]))
elif command == 'update_po' :
    files = glob.glob('*.po')
    for f in files:
        l = os.path.splitext(f)
        if l :
          print "Generating po file for %s locale" %l[0]
          os.system('msgmerge -U %s luciole.pot'%(f))
else :
    print "\n\n**********\n"
    print "Now edit luciole.pot, save it as <locale>.po, and post it on\n" \
        "our but tracker (https://bugs.launchpad.net/luciole/)\n\n" \
        "Thank you!"
os.chdir('..')
