#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Mode: Python -*-
# vi:si:ai:et:sw=4:sts=4:ts=4
import pygtk
pygtk.require('2.0')
import gtk


class capture_list_store(gtk.ListStore) :

    def __init__(self,capture_list, images_source, column_type,*args) :
        self._capture_list = capture_list
        super(capture_list_store,self).__init__(column_type,*args)
        for capture in self._capture_list :
            image = images_source.get_image(capture)
            self.append([image.pixbuf_thumb,image.name])

    def swap(self,a,b) :
        # update treeview
        print " on passe par mon swap"
        super(capture_list_store,self).swap(a,b)
        # update image list
        a_path = self.get_path(a)[0]
        b_path = self.get_path(b)[0]
        self._capture_list.swap(a_path,b_path)

        for capture in self._capture_list :
            print capture.name
